S3 List Multipart Uploads
  • 06 Jun 2023
  • Dark
    Light

S3 List Multipart Uploads

  • Dark
    Light

Article summary

PUThttps://s3.<your-region>.backblazeb2.com/<your-bucket-name>/?uploads

This operation lists in-progress multipart uploads in a bucket. An in-progress multipart upload is a multipart upload that has been initiated by the S3 Create Multipart Upload request, but has not yet been completed or aborted.

AUTHORIZATION AWS Signature

This request is using AWS Signature from collection Backblaze B2 Cloud Storage S3 Compatible API.

PARAMS

uploads

Must be present to list multipart uploads

delimiter
Optional. Character used to group keys
encoding-type
Optional. Specifies an encoding method to use for characters that are not supported in XML 1.0.
key-marker
Optional. With upload-id-marker, specifies the multipart upload after which listing should begin.
max-uploads
Optional. Specifies the maximum number of multipart uploads to return in the response body, up to a maximum of 1000.
prefix
Optional. Limit response to keys with this prefix.
upload-id-marker
Optional. With key-marker, specifies the multipart upload after which listing should begin.

PATH VARIABLES

bucket

Required. The name of the bucket

Example Request

curl --location 'https://s3.<your-region>.backblazeb2.com/my-bucket-name/?uploads=null'

Example Response

200 OK

Body

<?xml version="1.0" encoding="UTF-8" standalone="yes"?>
<ListMultipartUploadsResult xmlns="http://s3.amazonaws.com/doc/2006-03-01/">
    <Bucket>my-bucket-name-metadaddy</Bucket>
    <MaxUploads>1000</MaxUploads>
    <IsTruncated>false</IsTruncated>
    <Upload>
        <Initiated>2022-01-28T23:27:20Z</Initiated>
        <Initiator>
            <ID>15f935cf4dcb</ID>
        </Initiator>
        <Key>object-1</Key>
        <Owner>
            <ID>15f935cf4dcb</ID>
        </Owner>
        <StorageClass>STANDARD</StorageClass>
        <UploadId>4_z6145af89f355ac2f74ed0c1b_f2006887251b080dd_d20220128_m232720_c004_v0402000_t0046</UploadId>
    </Upload>
    <Upload>
        <Initiated>2022-01-28T23:29:12Z</Initiated>
        <Initiator>
            <ID>15f935cf4dcb</ID>
        </Initiator>
        <Key>object-2</Key>
        <Owner>
            <ID>15f935cf4dcb</ID>
        </Owner>
        <StorageClass>STANDARD</StorageClass>
        <UploadId>4_f2006887251b080dd213ed0c1b_f2006887251b080dd_d20220128_m232720_c004_v0402000_t0046</UploadId>
    </Upload>
</ListMultipartUploadsResult>


Headers (8)

Cache-Control

max-age=0, no-cache, no-store

Content-Type

application/xml

Content-Length

688

x-amz-request-id

6259899fa1d2e6b9

x-amz-id-2

aMa41BGZMOZMztjUfY9JmpzRnZLRjZmIQ

Date

Fri, 28 Jan 2022 23:14:48 GMT

Keep-Alive

timeout=5

Connection

keep-alive







Was this article helpful?

What's Next